npm Community Forum (Archive)

The npm community forum has been discontinued.

To discuss usage of npm, visit the GitHub Support Community.

Unable to install babel/cli

Does anyone has this problem as well?

in MacOS env
npm install --save-dev @babel/core @babel/cli

gets the following error
2019-02-10T10_41_59_585Z-debug.log (5.0 KB)


Can you share your package-lock.json?


Here is my package-lock.json
package-lock.json (19.6 KB)


Try running npm i babel-loader@7 and then npm i babel-preset-es2015 babel-preset-stage-2.


got this error after ran npm i babel-loader@7
2019-02-12T06_56_30_696Z-debug.log (4.7 KB)